View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
08553Feature requestsSurvey editingpublic2021-03-07 21:55
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Fixed in Version3.0 
Summary08553: beforeSurveyPage lack of get event
DescriptionWe have now a new event : beforeSurveyPage
https://github.com/LimeSurvey/LimeSurvey/commit/ba1d485cc4e01f341c98f235d35f812002f03500#diff-c60bef10a130572a2bf26fd0a9db519bR201

But we can update only 'template' here, and it don't really update template (because it don't update templatedir)
Additional InformationI think we need:

$event->set('languageCode', $_SESSION['survey_'.$surveyid]['s_lang']);

$event->get('templatedir') : because else : We can not update templete : we only update CSS/JS call, but NOT call of all .pstpl

And i think we can add:

$event->get('format')
$event->get('allowprev')
$event->get('questionindex')
....

All getsurveyinfo except : Set not-anonymous to anonymous (because it can break Answer save (no token colum).
But maybe whole is OK: plugin dev must be carefull too.
TagsNo tags attached.
Bug heat6

Users monitoring this issue

User List Mazi, mfaber

Issue History

Date Modified Username Field Change
2014-01-17 09:58 DenisChenu New Issue
2014-03-13 07:59 mfaber Issue Monitored: mfaber
2015-06-11 14:42 Mazi Issue Monitored: Mazi
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing
2021-03-04 16:58 DenisChenu Assigned To => DenisChenu
2021-03-04 16:58 DenisChenu Status new => resolved
2021-03-04 16:58 DenisChenu Resolution open => fixed
2021-03-04 16:58 DenisChenu Fixed in Version => 3.0
2021-03-04 16:58 DenisChenu Note Added: 62721
2021-03-07 21:55 c_schmitz Status resolved => closed
2021-08-02 17:18 guest Bug heat 2 => 6